//go:build test

package services

import (
	"os"
	"testing"

	"crussell/db"
	"crussell/testutils/jwt"
	"crussell/testutils/testdb"
)

func TestMain(m *testing.M) {
	pool := testdb.CreateTestDatabase("crussell_test_handlers_services")
	db.Conn = db.NewPoolProxy(pool)
	jwt.Init()
	testdb.SeedBaseline(pool)
	code := m.Run()
	testdb.DestroyTestDatabase(pool, "crussell_test_handlers_services")
	os.Exit(code)
}
